import { getPfmeaSmartTips, getDfmeaSmartTips } from '@/api/global'
export function getDfmeaSource(query, process, type, languageKey) {
  if (query && !(query.indexOf("'") > 0)) {
    getDfmeaSmartTips({
      languageKey: languageKey,
      structureName: query.trim(),
      structureType: type
    }).then(res => {
      var list = res.data
     
      process(list)
    })
  }
}
export function getPfmeaSource(query, process, type, languageKey) {
  if (query && !(query.indexOf("'") > 0)) {
    getPfmeaSmartTips({
      languageKey: languageKey,
      structureName: query,
      structureType: type
    }).then(res => {
      process(res.data)
    })
  }
}
